/**
 * Modulo
 *
 * @param  {number} dividend
 * @param  {number} divisor
 * @return {number}
 */
export declare function mod(dividend: number, divisor: number): number;
/**
 * Sine for an angle in degrees
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function sin(angle: number): number;
/**
 * Cosine for an angle in degrees
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function cos(angle: number): number;
/**
 * Tangent for an angle in degrees
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function tan(angle: number): number;
/**
 * Rounds the degree angle between 0 and 360
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function rounddeg(angle: number): number;
/**
 * Rounds the radian angle between 0 and 2*PI
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function roundrad(angle: number): number;
/**
 * Convert degree to radian
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function deg2rad(angle: number): number;
/**
 * Convert radian to degree
 *
 * @param  {number} radian
 * @return {number}
 */
export declare function rad2deg(radian: number): number;
/**
 * Inverse hyperbolic cosine
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function arccosh(angle: number): number;
/**
 * Inverse hyperbolic sine
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function sinh(angle: number): number;
/**
 * Inverse hyperboli cosine
 *
 * @param  {number} angle
 * @return {number}
 */
export declare function cosh(angle: number): number;
